﻿using System;
using System.ComponentModel;
using Wisej.Web;

namespace Wisej.CustomMinimizedWindowsTray
{
	public class MinimizedTrayItem : Wisej.Web.Panel
	{
		private PictureBox pictureBox1;
		private Label label1;

		public MinimizedTrayItem()
		{
			InitializeComponent();
		}

		[Browsable(false)]
		[DesignerSerializationVisibility(DesignerSerializationVisibility.Hidden)]
		public Form Form
		{
			get { return this._form; }
			set
			{
				this._form = value;
				this.label1.Text = this._form.Text;
				this.ToolTipText = "Restore " + this.label1.Text;
				if (!String.IsNullOrEmpty(this._form.IconSource))
					this.pictureBox1.ImageSource = this._form.IconSource;
			}
		}
		private Form _form;

		private void MinimizedTrayItem_Click(object sender, EventArgs e)
		{
			this.Form.WindowState = FormWindowState.Normal;
			Dispose();
		}

		#region Wisej Designer generated code

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.pictureBox1 = new Wisej.Web.PictureBox();
			this.label1 = new Wisej.Web.Label();
			((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).BeginInit();
			this.SuspendLayout();
			// 
			// pictureBox1
			// 
			this.pictureBox1.Anonymous = true;
			this.pictureBox1.ImageSource = "window-icon";
			this.pictureBox1.Location = new System.Drawing.Point(12, 12);
			this.pictureBox1.Name = "pictureBox1";
			this.pictureBox1.Size = new System.Drawing.Size(32, 32);
			this.pictureBox1.SizeMode = Wisej.Web.PictureBoxSizeMode.CenterImage;
			this.pictureBox1.TabIndex = 0;
			// 
			// label1
			// 
			this.label1.Anchor = ((Wisej.Web.AnchorStyles)(((Wisej.Web.AnchorStyles.Top | Wisej.Web.AnchorStyles.Left) 
            | Wisej.Web.AnchorStyles.Right)));
			this.label1.Anonymous = true;
			this.label1.AutoEllipsis = true;
			this.label1.Location = new System.Drawing.Point(50, 12);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(177, 32);
			this.label1.TabIndex = 1;
			this.label1.Text = "label1";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// MinimizedTrayItem
			// 
			this.BackColor = System.Drawing.Color.FromName("@controlLight");
			this.Controls.Add(this.label1);
			this.Controls.Add(this.pictureBox1);
			this.Cursor = Wisej.Web.Cursors.Hand;
			this.Name = "MinimizedTrayItem";
			this.Size = new System.Drawing.Size(244, 57);
			this.Text = "MinimizedTrayItem";
			this.Click += new System.EventHandler(this.MinimizedTrayItem_Click);
			((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).EndInit();
			this.ResumeLayout(false);

		}

		#endregion
	}
}
